
//% color="#AA278D" iconWidth=50 iconHeight=40
namespace json {
    

    //% block="解析字符串[STR]" blockType="command"
    //% STR.shadow="string" STR.defl="{key:value}"
    export function init_json(parameter: any, block: any) {
        let str = parameter.STR.code;
        Generator.addInclude('json', '#include <ArduinoJson.h>','True');
        Generator.addObject(`jsonBuffer`, `DynamicJsonBuffer`, `jsonBuffer;`, 'True');
        Generator.addObject(`jsonBuffer11`, `JsonVariant`, ` json_s;`, 'True');
        Generator.addCode(`json_s = jsonBuffer.parse(${str});`);

        Generator.addObject(`json11`, `String`, `pasue1(String str,JsonVariant json_s){\n	String SS = json_s[str];\n\treturn SS;\n}`,`True`);
        Generator.addObject(`json22`, `String`, `pasue2(int str,JsonVariant json_s){\n	String SS = json_s[str];\n\treturn SS;\n}`,`True`);

    }



    //% block="获取节点[keys]的值" blockType="reporter"
    //% keys.shadow="string" keys.defl="key"
    export function get_json(parameter: any, block: any) {
        let keys = parameter.keys.code;
        Generator.addCode(`pasue1(${keys},json_s)`);
    }


    //% block="获取数组[num]的值" blockType="reporter"
    //% num.shadow="number" num.defl="0"
    export function get_json1(parameter: any, block: any) {
        let num = parameter.num.code;
        Generator.addCode(`pasue2(${num},json_s)`);
    }


    //% block="清除json内存占用" blockType="command"
    export function del_json(parameter: any, block: any) {
        Generator.addCode(`jsonBuffer.clear();`);
    }




}
